package com.njcn.energy.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.njcn.energy.pojo.param.DictParam;
import com.njcn.energy.pojo.po.EleDict;

/**
 * 类的介绍：
 *
 * @author xuyang
 * @version 1.0.0
 * @createTime 2022/3/24 10:59
 */

public interface IEleDictService {

    /**
     * 功能描述: 根据名称查询字段数据
     *
     * @param name 字典名称
     * @return com.njcn.energy.pojo.po.EleDict
     * @author xy
     * @date 2022/3/24 11:08
     */
    EleDict findDictByName(String name);

    /**
     * 功能描述: 查询influxDB表名
     *
     * @param name 字典名称
     * @return com.njcn.energy.pojo.po.EleDict
     * @author xy
     * @date 2022/3/24 11:08
     */
    EleDict findTableName(String name);


    /**
     * 新增字典
     * @author cdf
     * @date 2022/3/22
     */
    boolean add(DictParam dictParam);

    /**
     * 修改字典
     * @author cdf
     * @date 2022/3/22
     */
    boolean update(DictParam.DictUpdateParam dictUpdateParam);


    /**
     * 删除字典
     * @author cdf
     * @date 2022/3/22
     */
    boolean delete(String id);


    /**
     * 查询字典列表
     * @author cdf
     * @date 2022/3/22
     */
    Page<EleDict> getList(DictParam.DictQueryParam dictQueryParam);



    /**
     * 查询字典
     * @author cdf
     * @date 2022/3/22
     */
    EleDict getById(String id);


}
